%define name    linuxvideostudio
%define version 0.1.7
%define release 2mdk

Name:           %name
Version:        %version
Release:        %release
Summary:	A simple Video Editing Application
License:	GPL
Url:		http://ronald.bitfreak.net/
Group:		Video
Source:		http://ronald.bitfreak.net/download/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-buildroot
Requires:	glib gtk+ gdk-pixbuf
BuildRequires:  glib-devel gtk+-devel gdk-pixbuf-devel libmjpegtools0-devel


%description
Linux Video Studio is a simple Non-Lineair Editor, based on the famous 
mjpegtools. You can record, edit, playback and render video. Recording is 
mostly done via hardware-MJPEG boards such as the Pinnacle DC10+ or the 
Iomega Buz. BT8x8 cards (*only* with the BTTV-0.8 driver!) are also 
supported. Editing provides simple editing functions such as deleting, 
adding or moving scenes and creating simple effects such as scene 
transitions or image overlays. Playback s done via hardware MJPEG 
playback on boards such as the Pinnacle DC10+ or Iomega Buz.
Rendering of movies provides functions such as MJPEG, divx or MPEG encoding.
Functions such as video scaling, video denoising or distributed encoding (i.e.,
dividing the work over more than one computer) are all supported.

Includes a studio TV application.

%prep
%setup -q
%configure

%build
%make

%install
%makeinstall

#menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
(cd $RPM_BUILD_ROOT
cat > $RPM_BUILD_ROOT%{_menudir}/%{name} <<EOF
?package(%{name}):\
needs="x11"\
section="Multimedia/Video"\
title="Linux Video Studio"\
longtitle="Video capture and simple editing"\
command="studio"\
icon="video_section.png"
EOF
cat > $RPM_BUILD_ROOT%{_menudir}/%{name}-tv <<EOF
?package(%{name}-tv):\
needs="x11"\
section="Multimedia/Video"\
title="Studio-TV"\
longtitle="LVS Studio-TV"\
command="stv"\
icon="video_section.png"
EOF
)

%clean
rm -rf $RPM_BUILD_ROOT

%post 
%{update_menus}

%postun 
%{clean_menus}

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog README TODO README.stv ChangeLog.stv INSTALL.stv INSTALL
%{_bindir}/*
%{_mandir}/*/*
%{_menudir}/*

%changelog
* Thu Jan 30 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.1.7-2mdk
- rebuild

* Wed Oct 23 2002 <aacton@yorku.ca> 0.1.7-1mdk
- initial package for Mandrake 9.0+
